import type { NextApiRequest, NextApiResponse } from 'next';
import React from 'react';
type Preloaded = {
    handlers: any[];
    packages: any[];
};
export declare function toPlainPackages(packages: any): any[];
export declare function preloadQueries(deep: any): Promise<{
    packagesQ: {
        type_id: {
            _nin: any[];
        };
        up: {
            tree_id: {
                _eq: any;
            };
            parent: {
                string: {
                    value: {
                        _neq: string;
                    };
                };
                in?: {
                    type_id: any;
                };
                type_id: {
                    _eq: any;
                };
            };
        };
        return: {
            _version: {
                relation: string;
                type_id: any;
            };
        };
    };
    packagesO: {
        apply: string;
    };
    handlersQ: {
        execution_provider_id: {
            _eq: any;
        };
        return: {
            dist: {
                relation: string;
            };
        };
    };
    handlersO: any;
}>;
export declare function preloadApi(path?: any, secret?: string, token?: string, ssl?: boolean): Promise<(req: NextApiRequest, res: NextApiResponse<Preloaded>) => Promise<void>>;
export declare function getServerSidePropsPreload(arg: any, result: any): Promise<any>;
export declare const PreloadContext: React.Context<[boolean, () => Promise<void>]>;
export declare function usePreload(): [boolean, () => Promise<void>];
export declare const HandlersContext: React.Context<any>;
export declare function useHandlersContext(): any;
export declare function PreloadProviderCore({ preloaded, children, }: {
    preloaded?: {
        packages?: any[];
        handlers?: any[];
    };
    children?: any;
}): React.JSX.Element;
export declare function PreloadProvider({ preloaded, Editor, children, }: {
    preloaded?: {
        packages?: any[];
        handlers?: any[];
    };
    Editor: any;
    children?: any;
}): React.JSX.Element;
export {};
